terminus

One end of a link, either a source or a target. More...

`#include <terminus.hpp>`

Inheritance diagram for terminus:
[legend]

## Public Types

enum | durability_mode { NONDURABLE, CONFIGURATION, UNSETTLED_STATE }
| The persistence mode of the source or target. More...
enum | expiry_policy { LINK_CLOSE, SESSION_CLOSE, CONNECTION_CLOSE, NEVER }
| When expiration of the source or target begins. More...

## Public Member Functions

enum expiry_policy | expiry_policy () const
| Get the policy for when expiration begins.
duration | timeout () const
| The period after which the source is discarded on expiry. More...
enum durability_mode | durability_mode ()
| Get the durability flag.
bool | dynamic () const
| True if the remote node is created dynamically.
value | node_properties () const
| Obtain a reference to the AMQP dynamic node properties for the terminus. More...
std::vector< symbol > | capabilities () const
| Extension capabilities that are supported/requested.

## Detailed Description

One end of a link, either a source or a target.

The source terminus is where messages originate; the target terminus is where they go.

See also
  proton::link

## Member Enumeration Documentation

## durability_mode

enum durability_mode

The persistence mode of the source or target.

Enumerator
NONDURABLE | No persistence.
CONFIGURATION | Only configuration is persisted.
UNSETTLED_STATE | Configuration and unsettled state are persisted.

## expiry_policy

enum expiry_policy

When expiration of the source or target begins.

Enumerator
LINK_CLOSE | When the link is closed.
SESSION_CLOSE | When the containing session is closed.
CONNECTION_CLOSE | When the containing connection is closed.
NEVER | The terminus never expires.

## Member Function Documentation

## timeout()

duration timeout | ( |  | ) | const

The period after which the source is discarded on expiry.

The duration is rounded to the nearest second.

## node_properties()

value node_properties | ( |  | ) | const

Obtain a reference to the AMQP dynamic node properties for the terminus.

See also lifetime_policy.

The documentation for this class was generated from the following file:

- proton/terminus.hpp